cURL
curl --request GET \
--url https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"snapshots": [
{
"account_score": "<string>",
"bonus_multiplier": "<string>",
"normalized_share": "<string>",
"qualified": true,
"qualifying_size": "<string>",
"snapshot_minute": 1,
"snapshot_ts": "2023-11-07T05:31:56Z",
"ask_distance_bps": "<string>",
"bid_distance_bps": "<string>"
}
],
"summary": {
"account_score_total": "<string>",
"account_share": "<string>",
"epoch_end_ts": "2023-11-07T05:31:56Z",
"epoch_start_ts": "2023-11-07T05:31:56Z",
"k_exponent": 1,
"pool_usd": "<string>",
"projected_accrual_usd": "<string>",
"q_min": "<string>",
"symbol": "<string>",
"two_sided_rule": "min",
"uncapped_accrual_usd": "<string>",
"v_bps": "<string>"
},
"next_cursor": 1
}Liquidity program
Get score snapshots
GET
/
mmlp
/
v2
/
{symbol}
/
score-snapshots
cURL
curl --request GET \
--url https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gateway.architect.exchange/api/mmlp/v2/{symbol}/score-snapshots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"snapshots": [
{
"account_score": "<string>",
"bonus_multiplier": "<string>",
"normalized_share": "<string>",
"qualified": true,
"qualifying_size": "<string>",
"snapshot_minute": 1,
"snapshot_ts": "2023-11-07T05:31:56Z",
"ask_distance_bps": "<string>",
"bid_distance_bps": "<string>"
}
],
"summary": {
"account_score_total": "<string>",
"account_share": "<string>",
"epoch_end_ts": "2023-11-07T05:31:56Z",
"epoch_start_ts": "2023-11-07T05:31:56Z",
"k_exponent": 1,
"pool_usd": "<string>",
"projected_accrual_usd": "<string>",
"q_min": "<string>",
"symbol": "<string>",
"two_sided_rule": "min",
"uncapped_accrual_usd": "<string>",
"v_bps": "<string>"
},
"next_cursor": 1
}Query Parameters
Response
The caller's per-minute scores for one epoch, plus their recent epochs